lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'instance_finder/version'

Gem::Specification.new do |spec|
  spec.name          = 'instance_finder'
  spec.version       = Instance::Finder::VERSION
  spec.authors       = ['Robert Coleman']
  spec.email         = ['github@robert.net.nz']

  spec.summary       = %q{Find your EC2 instances based on tags}
  spec.description   = %q{Find your EC2 instances based on tags - for CLI usage, Capistrano or as a library}
  spec.homepage      = 'https://github.com/rjocoleman/instance-finder'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'pry', '~> 0.11'
  spec.add_development_dependency 'dotenv', '~> 2.2'

  spec.add_dependency 'aws-sdk-ec2', '~> 1'
  spec.add_dependency 'slop', '~> 4.6'
  spec.add_dependency 'awesome_print', '~> 1.8'
end
